import 'package:get_it/get_it.dart';
import 'package:initial_folder/providers/announcement_provider.dart';
import 'package:initial_folder/providers/detail_course_coupon_provider.dart';
import 'package:initial_folder/providers/detail_course_provider.dart';
import 'package:initial_folder/providers/qna_provider.dart';
import 'package:initial_folder/providers/reply_announcement_provider.dart';
import 'package:initial_folder/providers/reply_qna_provider.dart';

final qnaGetIt = GetIt.instance;
final replyQnaGetIt = GetIt.instance;
final detailGetIt = GetIt.instance;
final detailCouponGetIt = GetIt.instance;
final announcementGetIt = GetIt.instance;
final replyAnnouncementGetIt = GetIt.instance;

void setup() {
  qnaGetIt.registerSingleton<QnaProvider>(QnaProvider());
  replyQnaGetIt.registerSingleton<ReplyQnaProvider>(ReplyQnaProvider());
  detailGetIt.registerSingleton<DetailProvider>(DetailProvider());
  detailCouponGetIt
      .registerSingleton<DetailCouponProvider>(DetailCouponProvider());
  announcementGetIt
      .registerSingleton<AnnouncementProvider>(AnnouncementProvider());
  replyAnnouncementGetIt.registerSingleton<ReplyAnnouncementProvider>(
      ReplyAnnouncementProvider());
}
